Subject: bug#75170: add-to-alist: new function

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Jan 2025 12:50:16 -0600

Robert Pluim <[email-masked]> writes:

> map.el assumes that a list that starts with an atom is a plist, and
> any other list is an alist. alist-get and assoc obviously disagree.

This is a tangent, but I'd be curious to know how much use map.el is
getting.  It doesn't seem to be too popular in emacs.git at least.